FreeMat

- Main Page
- Related Pages

vtkConvertSelectionDomain

Section: Visualization Toolkit View Classes

# Usage

vtkConvertSelectionDomain converts a selection from one domain to another using known domain mappings. The domain mappings are described by a vtkMultiBlockDataSet containing one or more vtkTables.

The first input port is for the input selection (or collection of annotations in a vtkAnnotationLayers object), while the second port is for the multi-block of mappings, and the third port is for the data that is being selected on.

If the second or third port is not set, this filter will pass the selection/annotation to the output unchanged.

The second output is the selection associated with the "current annotation" normally representing the current interactive selection.

To create an instance of class vtkConvertSelectionDomain, simply invoke its constructor as follows

      obj = vtkConvertSelectionDomain

# Methods

The class vtkConvertSelectionDomain has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkConvertSelectionDomain class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkConvertSelectionDomain = obj.NewInstance ()`
- `vtkConvertSelectionDomain = obj.SafeDownCast (vtkObject o)`